package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF639 extends MwfRequest<MWF639, MWF639Response> {

    @Parameter(name = "BUCisloUctu")
    MWF639 bUCisloUctu(String bUCisloUctu);
    @Parameter(name = "BUMena")
    MWF639 bUMena(String bUMena);
    @Parameter(name = "BU_KEY")
    MWF639 buKey(Long buKey);
    @Parameter(name = "UUCislo")
    MWF639 uUCislo(String uUCislo);
    @Parameter(name = "UUMena")
    MWF639 uUMena(String uUMena);
    @Parameter(name = "UUObjektUveru")
    MWF639 uUObjektUveru(String uUObjektUveru);
    @Parameter(name = "UU_KEY")
    MWF639 uuKey(Long uuKey);
    @Parameter(name = "Zadost_KEY")
    MWF639 zadostKEY(Long zadostKEY);
}
